Subject: Re: No error messages from mingw32 gcc.exe
From: [email-masked] (Earnie Boyd)

26 Jul 1998 06:47:06 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Pierre Dolmans <[email-masked]>, [email-masked]

set CYGWIN32=notty nobinmode

Another note: Mingw32 doesn't understand the cygwin mounted paths.

---Pierre Dolmans <[email-masked]> wrote:
>
> Hi,
> 
> I have a program running on Cygwin32, but for several reasons I want
to
> switch to Mingw32 now. Therefore I have installed Mingw32, and
changed my
> environment variables in accordance with the installation
documentation.
> 
> However, the Makefile that worked fine with Cygwin32, caused lot's of
> problems with Mingw32. Therefore I searched the mail archives, where
I came
> across an advise to use make.exe from Cygwin32 instead of make.exe
from
> Mingw32.
> 
> Now that I have switched to the Cygwin32 make.exe, the Makefiles
seem to
> work a lot better.
> However, if a compile fails, I don't see the error messages from the
> compiler, but just get the make output that looks like this:
> 
> C:\test> make test
> gcc -c test.c
> make: *** [test.o] Error 1
> 
> So, I now know that Error 1 tells me that there was an error during
the
> compile, but I can't see the error messages from the compiler. Does
anybody
> have a clue what is happening here ? Where are the compiler error
messages
> going ?????
> 
> Thanks in advance
> 
> Pierre Dolmans
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".